Skip to content
DELETE
/v1/organizations/{organizationId}/projects/{projectId}/environments/{environmentId}/surface-registrations/{surfaceRegistrationId}/tenants/{tenantId}/identity-bindings/{issuer}/{subject}

Unbind one Surface identity

Stop resolving one exact provider issuer and subject binding while preserving the binding for historical records.

Authentication

Send an API key as a Bearer token in the Authorization header.

Parameters

NameLocationRequiredDescription
organizationIdpathYes
The Organization to address.
stringA Cantora Organization identifier, prefixed with `org_`.
  • maximum length 64
  • pattern ^org_[\s\S]+$
projectIdpathYes
The Project to address.
stringA Cantora Project identifier, prefixed with `proj_`.
  • maximum length 64
  • pattern ^proj_[\s\S]+$
environmentIdpathYes
The Environment to address.
stringA Cantora Environment identifier, prefixed with `env_`.
  • maximum length 64
  • pattern ^env_[\s\S]+$
surfaceRegistrationIdpathYes
The Environment Surface registration to address.
stringA Cantora Surface registration identifier, prefixed with `surface_`.
  • maximum length 64
  • pattern ^surface_[\s\S]+$
tenantIdpathYes
The Tenant to address.
stringA Cantora Tenant identifier, prefixed with `tenant_`.
  • maximum length 64
  • pattern ^tenant_[\s\S]+$
issuerpathYes
The provider-defined identity namespace.
string
  • maximum length 512
  • minimum length 1
  • pattern ^[!-~]+$
subjectpathYes
The provider-defined identity within the issuer.
string
  • maximum length 512
  • minimum length 1
  • pattern ^[!-~]+$

Responses

204<No Content>
400The request path, headers, query, or JSON body did not satisfy the published schema
401Unauthorized
application/json
403Forbidden
application/json
404NotFound
application/json

Reusable schemas

UnauthorizedEncoded

object
  • unknown properties allowed false
_tagrequired
stringThe stable machine-readable error type.
  • allowed values "Unauthorized"
reasonrequired
stringA safe explanation of why the credential was rejected.

ForbiddenEncoded

object
  • unknown properties allowed false
_tagrequired
stringThe stable machine-readable error type.
  • allowed values "Forbidden"
permissionrequired
stringThe permission required by the refused operation.

NotFoundEncoded

object
  • unknown properties allowed false
_tagrequired
stringThe stable machine-readable error type.
  • allowed values "NotFound"
resourcerequired
stringThe resource type relevant to the error.
idrequired
stringThe identifier supplied for the resource that was not found.